net.minecraftforge.event.entity.minecart

## Class MinecartUpdateEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.entity.EntityEvent
    - - net.minecraftforge.event.entity.minecart.MinecartEvent
      - - net.minecraftforge.event.entity.minecart.MinecartUpdateEvent

-     public class MinecartUpdateEvent
      extends MinecartEvent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent

      `EntityEvent.CanUpdate, EntityEvent.EnteringChunk, EntityEvent.EntityConstructing`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `x`
    `float` | `y`
    `float` | `z`

    - ### Fields inherited from class net.minecraftforge.event.entity.minecart.MinecartEvent

      `minecart`

    - ### Fields inherited from class net.minecraftforge.event.entity.EntityEvent

      `entity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinecartUpdateEvent(EntityMinecart minecart, float x, float y, float z)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public final float x

    - #### y

          public final float y

    - #### z

          public final float z

  - ### Constructor Detail

    - #### MinecartUpdateEvent

          public MinecartUpdateEvent(EntityMinecart minecart,
                             float x,
                             float y,
                             float z)